-- P5-3523 add poster blacklisting to all products that have (wallpaper, photo-wallpaper, canvas) blacklisting

INSERT INTO product_blacklist (product_id, language_id, territory_id, group_id)
SELECT product_id, language_id, territory_id, 7 FROM product_blacklist
GROUP BY product_id, language_id, territory_id HAVING count(1) = 3;
